Class | ActionView::Base
In: | lib/gloc-rails.rb
Parent: | Object

`initialize` is overridden so that new instances of this class inherit the current language of the controller.

### Methods

new

### Included Modules

GLoc

### External Aliases

initialize | -> | initialize_without_gloc

### Public Class methods

new(base_path = nil, assigns_for_first_render = {}, controller = nil)

[Source]

         # File lib/gloc-rails.rb, line 109
    109:     def initialize(base_path = nil, assigns_for_first_render = {}, controller = nil)
    110:       initialize_without_gloc(base_path, assigns_for_first_render, controller)
    111:       set_language controller.current_language unless controller.nil?
    112:     end

[Validate]